Table of Contents
 XLabel 2.2

Copyright © 1993-94 by Mark Hanson - ALL RIGHTS RESERVED.

  What is XLabel? 	  Properties

  Installation 	  Events

  Legal Stuff

  Registration

  Support 	  What's New?

  Special Note to Upgraders


What is XLabel?

XLabel is an extended label control for use with Microsoft Visual Basic for Windows version 2.0 or higher.

XLabel supports most of the features of the standard Label control with the following enhancements:

 	Rotated TrueType fonts at any angle

 	Both horizontal and vertical alignment

 	Background bitmaps with multiple styles

 	Shadowed text for 3-D effects

 	Bevel properties for 3-D borders


Installation

You should have received the following files:

XLABEL2.VBX	Visual Basic custom control file

XLABEL.HLP	This help file

README.TXT	Installation notes and documentation changes

DEMO.MAK	Visual Basic project file for the demo program

DEMO.FRM	Visual Basic form file for the demo program

DEMO.FRX	Binary data for the above form file

DEMO.EXE	Executable demo program

Just copy the files together to any directory.  You may also want to copy XLABEL2.VBX to your WINDOWS\SYSTEM directory.

XLabel will look for this help file in the directory that the .VBX was loaded from.


Legal Stuff

License

XLabel is not public domain or free software.

You are granted a license to use the shareware version of XLabel for an evaluation period of 14 days.  After 14 days, registration is required.  The shareware version of XLabel may be duplicated and distributed for the purpose of evaluation only.  No fee may be charged for distributing the shareware version (other than an administrative fee not exceeding $5).

Disclaimer

This software and documentation are supplied "AS IS".  The author makes no warranty of any kind, either express or implied, with respect to this software and accompanying documentation.

In no event shall the author of this software be liable for any damages arising out of the use of this product.  Your use of this software indicates that you have read and agreed to these terms.

Acknowledgements

Microsoft is a registered trademark of Microsoft Corporation.

Visual Basic, TrueType, and Windows are trademarks of Microsoft Corporation.


Registration

To register XLabel, you may print out and complete the order form. If you cannot print the order form, please write the equivalent information out by hand.  XLabel is currently priced at a very reasonable $15 per user.  The C source code to the control is also available at $55 per user.  A source code license includes the cost of a usage license.  Send the order information, along with a check or money order in US funds to:

Mark Hanson

PO Box 10154

Rochester, NY 14610-0154

USA

Please make the check or money order payable to Mark Hanson.

Upon registering the product, you will receive the latest version on diskette.  You will also receive a special license file that will automatically register any future versions of XLabel.

Compuserve members may register on-line by typing "GO SWREG" and selecting ID 1720.  If you register on-line, you will receive XLabel by Compuserve E-Mail and the registration price will be billed to your Compuserve account.

XLabel source code is also available on Compuserve.  Simply type "GO SWREG" and select ID 2457.  You will receive the source code and license file via Compuserve E-Mail.


Support

There are many methods of obtaining support for XLabel:

Send E-Mail to Mark Hanson on Compuserve at 72773,71

Send FidoNet netmail to Mark Hanson at 1:2613/119

Leave a message to Mark Hanson on the support BBS:

1 X. I. S.

Rochester, NY USA

(716) 671-7745

12-28.8K

Contact me at the address indicated in Registration

Internet users can contact me at 72773,71@compuserv.com.

Your comments and questions about XLabel are strongly encouraged!


Properties

Properties specific to XLabel are marked with an asterisk.

Other standard properties are documented in the Visual Basic help files.

*About	DataChanged	Left

*AlignmentH	DataField	MousePointer

*AlignmentV	DataSource	Name

*Angle	DragIcon	Parent

AutoSize	DragMode	*Picture

BackColor	Enabled	*PictureStyle

BackStyle	FontBold	*ShadowColor

*BevelInnerSize	FontItalic	*ShadowSize

*BevelInnerStyle	FontName	*ShadowStyle

*BevelOuterSize	FontSize	TabIndex

*BevelOuterStyle	FontStrikeThru	Tag

*BorderColor	FontUnderline	Top

*BorderSize	ForeColor	Visible

*BorderStyle	Height	Width

Caption	Index	WordWrap


Events

XLabel supports the following standard events.

These events are documented in the Visual Basic help files.

Change   	DragOver

Click    	MouseDown

DblClick 	MouseMove

DragDrop 	MouseUp


About Property

Description

When double-clicked at design-time, displays a dialog box indicating the XLabel version number.

Remarks

Use this property to determine the version of XLabel that is loaded.

Data Type

Popup


AlignmentH Property

Description

Determines the horizontal text alignment of the label caption.

Usage

[form.]control.AlignmentH[ = numericexpression]

Setting	Description

0 - Left	(Default) Text is aligned to the left.

1 - Center	Text is aligned to the center.

2 - Right	Text is aligned to the right.

Remarks

This property only takes effect when Angle is 0, 90, 180, or 270.

Data Type

Integer (Enumerated)


AlignmentV Property

Description

Determines the vertical text alignment of the label caption.

Usage

[form.]control.AlignmentV[ = numericexpression]

Setting	Description

0 - Top	(Default) Text is aligned to the top.

1 - Center	Text is aligned to the center.

2 - Bottom	Text is aligned to the bottom.

Remarks

This property only takes effect when Angle is 0, 90, 180, or 270.

Data Type

Integer (Enumerated)


Angle Property

Description

Determines the angle of rotation for the label caption.

Usage

[form.]control.Angle[ = numericexpression]

Remarks

The angle is measured in degrees, and should fall between 0 and 359.  Only TrueType fonts may be rotated.

Data Type

Integer


BevelInnerSize Property

Description

Determines the size of the inner bevel on the label.

Usage

[form.]control.BevelInnerSize[ = numericexpression]

Remarks

The inner bevel size is specified in pixels, and must fall between 0 and 30.

This property only takes effect when BevelInnerStyle is set to 1 (Inset) or 2 (Raised).

Data Type

Integer


BevelInnerStyle Property

Description

Determines the style of the inner bevel on the label.

Usage

[form.]control.BevelInnerStyle[ = numericexpression]

Setting	Description

0 - None	(Default) No inner bevel is drawn.

1 - Inset	The bevel appears inset on the form.

2 - Raised	The bevel appears raised on the form.

Data Type

Integer (Enumerated)


BevelOuterSize Property

Description

Determines the size of the outer bevel on the label.

Usage

[form.]control.BevelOuterSize[ = numericexpression]

Remarks

The outer bevel size is specified in pixels, and must fall between 0 and 30.

This property only takes effect when BevelOuterStyle is set to 1 (Inset) or 2 (Raised).

Data Type

Integer


BevelOuterStyle Property

Description

Determines the style of the outer bevel on the label.

Usage

[form.]control.BevelOuterStyle[ = numericexpression]

Setting	Description

0 - None	(Default) No outer bevel is drawn.

1 - Inset	The bevel appears inset on the form.

2 - Raised	The bevel appears raised on the form.

Data Type

Integer (Enumerated)


BorderColor Property

Description

Determines the color of the border portion of the label.

Usage

[form.]control.BorderColor[ = color]

Remarks

This property is set just like any other Visual Basic color property.  It takes effect when BorderStyle is set to 1 (Solid).

Data Type

Long


BorderSize Property

Description

Determines the size of the border portion of the label.

Usage

[form.]control.BorderSize[ = numericexpression]

Remarks

The Border size is specified in pixels, and must fall between 0 and 30.

This property only takes effect when BorderStyle is set to 1 (Solid).

Data Type

Integer


BorderStyle Property

Description

Determines the type of border surrounding the label.

Usage

[form.]control.BorderStyle[ = numericexpression]

Setting	Description

0 - None	(Default) No border is drawn.

1 - Solid	A border is drawn with a solid color.

Remarks

The border is drawn between the outer and inner bevels, if any exist.

Data Type

Integer (Enumerated)


Picture Property

Description

Determines a graphic to be displayed behind the label caption.

Usage

[form.]control.Picture[ = picture]

Remarks

This property behaves just like the standard Visual Basic Picture property.  However, only Windows bitmap (.BMP) files are supported at this time.  See the description of PictureStyle for options on how to display the graphic.

Data Type

Picture


PictureStyle Property

Description

Determines how to display the graphic represented by the Picture property.

Usage

[form.]control.PictureStyle[ = numericexpression]

Setting	Description

0 - Normal	(Default) Graphic is displayed in the upper-left corner.

1 - Centered	Graphic is centered in the label.

2 - Stretched	Graphic is stretched to fit the label.

3 - Tiled	Graphic is replicated to fill the label.

Remarks

Obviously, this property only takes effect when Picture refers to a valid bitmap.

Data Type

Integer (Enumerated)


ShadowColor Property

Description

Determines the color of the shadow displayed behind shadowed text.

Usage

[form.]control.ShadowColor[ = color]

Remarks

This property is set just like any other Visual Basic color property.  It takes effect when ShadowStyle is set to 1 (left) or 2 (right).  In general, darker foreground colors look best with lighter shadow colors.  Conversely, lighter foreground colors look best with darker shadow colors.

Data Type

Long


ShadowSize Property

Description

Determines the size of the shadow displayed behind shadowed text.

Usage

[form.]control.ShadowSize[ = numericexpression]

Remarks

The shadow size is specified in pixels, and should fall between 0 and 30.

This property only takes effect when ShadowStyle is set to 1 (Left) or 2 (Right).

Data Type

Integer


ShadowStyle Property

Description

Determines the type of shadow displayed behind the label caption.

Usage

[form.]control.ShadowStyle[ = numericexpression]

Setting	Description

0 - None	(Default) The text is not shadowed.

1 - Left	Shadow appears to the left of the text.

2 - Right	Shadow appears to the right of the text.

Data Type

Integer (Enumerated)


What's New?

XLabel 2.2 - September 1, 1994

 	Fixed a problem with AutoSize and shadowed text.

XLabel 2.1 - August 22, 1994

 	Added the TabIndex property for mnemonic access to controls.

 	Added the AutoSize property, which currently works only with non-angled text.

 	XLabel now supports every property of the standard label control except the DDE properties.

XLabel 2.0 - August 15, 1994

 	Added a standard About box displaying the version number.

 	Added support for 3D borders with the BevelInnerSize, BevelInnerStyle, BevelOuterSize, and BevelOuterStyle properties.

 	Added more control over the border style with the BorderColor and BorderSize properties.

 	Removed the FormatAtAngle property, which existed for backward compatability.

 	Removed the Shadowed property, which is now handled by the ShadowStyle property.

XLabel 1.2 - March 28, 1994

 	Shadowed text is now supported at any angle.

 	Added support for control over the shadow size with the ShadowSize property.

 	Added support for control over the shadow position with the ShadowStyle property.

XLabel 1.1 - March 12, 1994

 	Added support for backgound graphics with the Picture and PictureStyle properties.

 	Added ability to align text at right angles with the FormatAtAngle property.

XLabel 1.0 - November 7, 1993

 	Initial release.


Order Form
XLabel Order Form

Select "Print Topic" from the File menu to print this form.

$________	_____ copies of XLabel at $15.00 each

$________	_____ copies of XLabel with source code at $55.00 each

$________	(Order Total)

Remit order to:	Mark Hanson

PO Box 10154

Rochester, NY 14610-0154

USA

Send product to:

Name:	__________________________________________________

Address:	__________________________________________________

__________________________________________________

__________________________________________________

__________________________________________________

Please make checks or money orders payable to Mark Hanson.

Payments from outside of the United States must be in one of these forms:

- US currency

- An American Express money order payable in US currency

- An international postal money order payable in US currency

- A check drawn on a US bank payable in US currency


Special Note to Upgraders
Unfortunately, this release of XLabel is somewhat incompatible with earlier versions (those named XLABEL.VBX).  XLabel began as an experiment, and I had no idea how popular it would become.

The file name has been changed to XLABEL2.VBX and the module name has been changed to XLABEL2.  This will prevent conflicts with older applications.  If you wish to update your projects to use XLABEL2.VBX, please take note of the changes described in What's New.

Thanks for your continued support!